Player:
    PlayerResources:
        DefaultCash: 0

World:
    LuaScript: 
        Scripts:
    MissionData:
        Briefing: Recon flights have located special agent codenamed "Electric" in the area though our planes were gunned down before they could relay his precise location.\n\nFortunately, allies aren't the only ones with espionage networks. Already, one of our "associates" has covered the infiltration of a commando squad in the sector. These men will be at your disposal.\n\nThe enemy will not be aware of your presence, expect untripulated vehicles and abandoned equipment but don't grow overconfident, every member lost will put the mission at risk. Find your target and put him to rest.\n\nStalin himself will reward you handsomely if you manage to get rid of your target with more than just a bullet. I'd recommend that you do not displease him.\n\n
        BriefingVideo: 
        StartVideo: spotter.vqa
		WinVideo: sovtstar.vqa
		LossVideo: allymorf.vqa
    MapOptions:
        TechLevel: medium
    ScriptLobbyDropdown@difficulty:
        ID: difficulty
        Label: Difficulty
        Values:
            easy: Easy
            normal: Normal
            hard: Hard
        Default: normal

CAMERA.medium:
    Inherits: CAMERA
    RevealsShroud:
        Range: 7c0

THF.hijacker:
    Inherits: THF
    Tooltip:
        Name: Hijacker
    Buildable:
        Prerequisites: ~disabled
    RenderSprites:
        Image: THF
    Captures:
        CaptureTypes: vehicle, aircraft, ship
        PlayerExperience: 50

DOG.tracker:
    Inherits: DOG
    RevealsShroud:
		Range: 8c7
    RenderSprites:
        Image: DOG
        
TRAN.capturable:
    Inherits: TRAN
    Buildable:
        Prerequisites: ~disabled
    RevealsShroud:
		Range: 9c0
    RenderSprites:
        Image: TRAN
    CaptureManager:
    Capturable:
        Types: aircraft
        CancelActivity: True
    CaptureNotification:
        Notification: UnitStolen
        LoseNotification: UnitLost

SPY:
    Crushable:
		WarnProbability: 0

LST.capturable:
    Inherits: LST
    Buildable:
        Prerequisites: ~disabled
    RenderSprites:
        Image: LST
    CaptureManager:
    Capturable:
        Types: ship
        CancelActivity: True
    CaptureNotification:
        Notification: UnitStolen
        LoseNotification: UnitLost

E1.Autotarget:
    Inherits: E1
    Buildable:
        Prerequisites: ~disabled
    RevealsShroud:
        Range: 8c0
    AutoTarget:
        ScanRadius: 7
    RenderSprites:
        Image: E1

E3.Autotarget:
	Inherits: E3
	Buildable:
		Prerequisites: ~disabled
	RevealsShroud:
		Range: 8c0
	AutoTarget:
		ScanRadius: 7
	RenderSprites:
		Image: E3        

SNIPER:
    Buildable:
		Prerequisites: ~disabled
    MustBeDestroyed:

SNIPER.noautotarget:
    Inherits: SNIPER
    Buildable:
		Prerequisites: ~disabled
    -AutoTarget:
	-AutoTargetPriority@DEFAULT:
    RenderSprites:
		Image: SNIPER   
        

E3:
	Buildable:
		Prerequisites: ~tent

THF:
	Buildable:
		Prerequisites: ~disabled

V01:
	SpawnActorOnDeath:
		Actor: healcrate

V05:
	SpawnActorOnDeath:
		Actor: healcrate


